@import "mixins";
@import "variables";

ul{
  padding-left: 0;
}
*{
  box-sizing: border-box;
  list-style-type: none;
  text-decoration: none;
}
.tablet {
  display: none;
}
.desktop{
  display: none;
}
.container{
  margin: 0 auto;
  padding: 28px;
}
.navbar{
  display: flex;
  justify-content: flex-end;
  position: relative;
}
.navbar__button{
  width: 44px;
  height: 37px;
  background: #000000;
  position: relative;
  display: flex;
  justify-content: center;
}
.navbar__list{
  position: absolute;
  top: 20px;
}
.navbar__list-active {
  display: none;
}
.navbar__item{
  width: 208px;
  height: 32px;
  background: #F5F5F5;
  font-family: $font;
  font-size: 11px;
  text-transform: uppercase;
  padding-left: 12px;
  padding-top: 11px;
  cursor: pointer;
  &:hover {
    color: #57A4A4;
  }
}
.navbar__item-home{
  color: #57A4A4;
}
.navbar__button-line{
  @include header-btn-line;
  top: 17px;
  left: 13px;
  &::before{
    content: "";
    @include header-btn-line;
    top: 4px;
  }
  &::after{
    content: "";
    @include header-btn-line;
    bottom: 4px;
  }
}
.header__background{
  width: 100%;
  height: 150px;
  background-image: url("../img/header_background.png");
  background-size: cover;
  margin-top: 23px;
}
@media all and (min-width: 768px) {
  .navbar {
    justify-content: center;
  }
  .navbar__button{
    display: none;
  }
  .navbar__list{
    position: static;
    display: flex;
    flex-direction: row;
  }
  .navbar__item{
    width: 100%;
    height: 100%;
    background: none;
    white-space: nowrap;
    padding: 0 17px;
  }
  .header__background{
    height: 360px;
  }
}
@media all and (min-width: 1200px) {
  .navbar__item{
    padding: 0 34px;
  }
  .header__background{
    height: 550px;
  }
}
